> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read License Status

> Get current license status.

Returns license information including:
- Validity status and expiration
- License type and subscription tier
- Feature availability
- Resource limits and current usage

Available to any authenticated user.



## OpenAPI

````yaml /api-reference/openapi.json get /api/license
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/license:
    get:
      tags:
        - license
      summary: Read License Status
      description: |-
        Get current license status.

        Returns license information including:
        - Validity status and expiration
        - License type and subscription tier
        - Feature availability
        - Resource limits and current usage

        Available to any authenticated user.
      operationId: read_license_status_api_license_get
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LicenseStatusRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LicenseStatusRead:
      properties:
        is_valid:
          type: boolean
          title: Is Valid
        is_expired:
          type: boolean
          title: Is Expired
        status:
          type: string
          title: Status
        license_type:
          anyOf:
            - type: string
            - type: 'null'
          title: License Type
        plan_tier:
          type: string
          title: Plan Tier
          default: trial
        license_key:
          anyOf:
            - type: string
            - type: 'null'
          title: License Key
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        days_remaining:
          anyOf:
            - type: integer
            - type: 'null'
          title: Days Remaining
        features:
          additionalProperties:
            type: boolean
          type: object
          title: Features
        limits:
          additionalProperties:
            anyOf:
              - type: integer
              - type: 'null'
          type: object
          title: Limits
        usage:
          additionalProperties:
            type: integer
          type: object
          title: Usage
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - is_valid
        - is_expired
        - status
      title: LicenseStatusRead
      description: Current license status and features.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````